package de.bsvrz.sys.usv.enums;

/**
 * Zuordnung der Zustnde des Attributs UsvZustand der Attributgruppe
 * atg.usvStatus
 * 
 * @author ObertM Geprft 30.9.2008 Hilpp
 * @author BitCtrl Systems GmbH, Christian Hsel
 */
public enum USVZustand {
	/**
	 * Der {@link USVZustand} "Nicht ermittelbar" (-1).
	 */
	na("nicht ermittelbar", -1),

	/**
	 * Der {@link USVZustand} "Normalbetrieb" (0).
	 */
	normal("Normalbetrieb", 0),

	/**
	 * Der {@link USVZustand} "Batteriebetrieb" (1).
	 */
	Batterie("Batteriebetrieb", 1);

	private final String m_text;
	private final int m_value;

	/**
	 * Privater Konstruktor zur Erzeugung eines {@link USVZustand}es.
	 * 
	 * @param text
	 *            der Name des {@link USVZustand}es.
	 * @param value
	 *            die Ordinalzahl des {@link USVZustand}es.
	 */
	private USVZustand(final String text, final int value) {
		m_text = text;
		m_value = value;
	}

	/**
	 * Liefert den Namen des {@link USVZustand}.
	 * 
	 * @return der Name.
	 */
	public String getText() {
		return m_text;
	}

	/**
	 * Liefert die Ordinalzahl des {@link USVZustand}es.
	 * 
	 * @return die Ordinalzahl.
	 */
	public int getValue() {
		return m_value;
	}
}
